Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
inference_application_deployment_list = client.cloud.inference.applications.deployments.list(
project_id=1,
)
print(inference_application_deployment_list.count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
inferenceApplicationDeploymentList, err := client.Cloud.Inference.Applications.Deployments.List(context.TODO(), cloud.InferenceApplicationDeploymentListParams{
ProjectID: gcore.Int(1),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inferenceApplicationDeploymentList.Count)
}curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/applications/{project_id}/deployments \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/applications/{project_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"api_keys": [
"key1",
"key2"
],
"application_name": "<string>",
"components_configuration": {},
"name": "<string>",
"regions": [
1,
2
],
"status": {
"component_inferences": {},
"expose_addresses": {},
"regions": [
{
"components": {
"model": {
"error": "",
"status": "Active"
}
},
"region_id": 1,
"status": "<string>"
}
]
}
}
]
}Everywhere Inference Apps
List inference application deployments
Returns a list of your application deployments, including deployment names, associated catalog applications, regions, component configurations, and current status. Useful for monitoring and managing all active AI application instances.
GET
/
cloud
/
v3
/
inference
/
applications
/
{project_id}
/
deployments
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
inference_application_deployment_list = client.cloud.inference.applications.deployments.list(
project_id=1,
)
print(inference_application_deployment_list.count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
inferenceApplicationDeploymentList, err := client.Cloud.Inference.Applications.Deployments.List(context.TODO(), cloud.InferenceApplicationDeploymentListParams{
ProjectID: gcore.Int(1),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inferenceApplicationDeploymentList.Count)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Was this page helpful?
⌘I